Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

URL Shortner

shorten given url

post
Body
idstringOptional
urlstringOptional

url to be shortened

validFrominteger · int64Optional
validTillinteger · int64Optional
Responses
200

shortened url returned

*/*
stringOptional
post/shortener
POST /egov-url-shortening/shortener HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "id": "text",
  "url": "text",
  "validFrom": 1,
  "validTill": 1
}
text

redirects user to orignal url identified by id

get
Path parameters
idstringRequired

The uniqueue id field to find original url

Responses
200

user redirected to original url

get/{id}
GET /egov-url-shortening/{id} HTTP/1.1
Accept: */*

No content

Was this helpful?